Name: gnome-pilot
Version: 2.0.13
Release: alt1

Summary: GNOME Pilot programs
Group: Graphical desktop/GNOME
License: LGPL
Url: http://www.gnome.org/gnome-pilot/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%name/%name-%version.tar.bz2

BuildRequires: gcc-c++ gnome-vfs2-devel libart_lgpl-devel libglade2-devel libgnome-devel libgnome-panel-devel libpilot-link-devel libpopt-devel libstdc++-devel perl-XML-Parser pkgconfig scrollkeeper zlib-devel

%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot (tm).

%package -n lib%name
Summary: GNOME pilot libraries
Group: Development/GNOME and GTK+

%description -n lib%name
gpilotd libraries

%package -n lib%name-devel

Summary: GNOME pilot libraries, includes, etc
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release

Provides: %name-devel
Obsoletes: %name-devel

%description -n lib%name-devel
gpilotd libraries and includes.

%package -n lib%name-devel-static

Summary: GNOME pilot static libraries
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
gpilotd static libraries.

%prep
%setup -q

%build

%configure

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall 
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

#mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
#ln -sf %{_datadir}/desktop-menu-patches/gnome-pilot.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/


mkdir -p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name): needs=gnome section="Configuration/Gnome/Peripherals" command="gpilotd-control-applet" title="Pilot link" icon="/usr/share/pixmaps/gnome-palm.png"
?package(%name): needs=gnome section="Configuration/Gnome/Peripherals" command="gpilotd-control-applet --cap-id=1" title="Pilot Conduits" icon="/usr/share/pixmaps/gnome-palm.png"
EOF

# remove non-packaged files
%__rm -rf %buildroot/var %buildroot%_libdir/%name/conduits/*.la

%find_lang %name

%post
%update_menus
%post_ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="pilot.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done

%postun
%clean_menus
%postun_ldconfig


%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README COPYING
%_bindir/*
%_sysconfdir/gconf/schemas/*.schemas
%_libdir/bonobo/servers/*.server
%dir %_libdir/%name/conduits
%_libdir/gpilotd
%_libdir/gpilot-applet
%_libdir/%name/conduits/*
%_datadir/control-center-2.0/capplets/*.desktop
%dir %_datadir/%name
%dir %_datadir/%name/conduits
%dir %_datadir/%name/glade
%_datadir/%name/conduits/*
%_datadir/%name/glade/*
%_datadir/%name/devices.xml
%_datadir/idl/%name.idl
%_datadir/mime-info/palm.*
%_datadir/pixmaps/*.png
%_datadir/gnome/help/%name
%_datadir/omf/%name
%_menudir/*
%_mandir/*/*

%files -n lib%name
%_libdir/*.so.*
%dir %_libdir/gnome-pilot
%dir %_libdir/gnome-pilot/conduits
%_libdir/gnome-pilot/conduits/*.so

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc

%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/gnome-pilot/conduits/*.a


%changelog
* Tue Jun 14 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0.13-alt1
- Revived the package, new version released.

* Thu Jul 17 2003 AEN <aen@altlinux.ru> 2.0.9-alt2
- rebuilt

* Thu Jun 19 2003 AEN <aen@altlinux.ru> 2.0.9-alt1
- new version for G2

* Mon Dec 23 2002 AEN <aen@altlinux.ru> 0.1.71-alt1
- new version, removed patches 2,3 

* Mon Nov 18 2002 AEN <aen@altlinux.ru> 0.1.69-alt1
- new version

* Thu Oct 24 2002 AEN <aen@altlinux.ru> 0.1.65-alt1
- new version

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.1.63-alt1
- 0.1.63
- Remove debug from CFLAGS

* Tue Aug 14 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.61-alt2
- Patch for library closure (gnome-pim requires symbols that were defined
  in gpilotd)

* Mon Aug 13 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.61-alt1
- 0.1.61
- Synchronized with 0.1.61-1mdk
- Removed mucking with aclocal
- Switched to OAF
- More spec and filelist cleanups

* Thu Aug 09 2001 AEN <aen@logic.ru> 0.1.59-alt1
- new version

* Fri Jul 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.1.58-alt0.2
- Rebuild for Sisyphus with new pilot-link
- Some spec cleanup
- Fixed files in packages
- Fixed buildrequires

* Thu May 17 2001 AEN <aen@logic.ru> 0.1.55-ipl0.1.4mdk
- rebuild for Sisyphus with new pilot-link
- libification

* Sat Dec 16 2000 AEN <aen@logic.ru>
- build for RE

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.1mdk
- Release 0.1.55-pre

* Mon Oct 02 2000 David BAUDENS <baudens@mandrakesoft.com> 0.1.54-4mdk
- Fix menu entry

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-3mdk
- Add missing files
- Add menuentry

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-2mdk
- Add oaf files
- Use find_lang macro

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-1mdk
- Release 0.1.54

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.53-3mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.53-2mdk
- rebuild to remove dependency on alsa

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.53-1mdk
- Release 0.1.53

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.52-3mdk
- add shell script to devel
- clean spec

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.1.52-2mdk
- BM + macrozification.

* Fri Jul  7 2000 dam's <damien@mandrakesoft.com> 0.1.52-1mdk
- updated from helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.50-4mdk
- Add BuildRequires: gob pilot-link-devel
- libtoolizification.

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.1.50-3mdk
- added update-menus.

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.50-2mdk
- Oups forgot to include some devel librairies!

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.50-1mdk
- first mandrake build.
- Spec file from HelixCode Inc.
